Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTPortableServer::POA Interface Reference

`#include <RTPortableServerC.h>`

Inheritance diagram for RTPortableServer::POA:

[legend]
List of all members.

## Public Types
typedef POA_ptr | _ptr_type
typedef POA_var | _var_type
## Public Methods
Object | create_reference_with_priority (in CORBA::RepositoryId intf, in RTCORBA::Priority priority) raises (WrongPolicy)
Object | create_reference_with_id_and_priority (in PortableServer::ObjectId oid, in CORBA::RepositoryId intf, in RTCORBA::Priority priority) raises (WrongPolicy)
PortableServer::ObjectId | activate_object_with_priority (in PortableServer::Servant p_servant, in RTCORBA::Priority priority) raises (ServantAlreadyActive, WrongPolicy)
void | activate_object_with_id_and_priority (in PortableServer::ObjectId oid, in PortableServer::Servant p_servant, in RTCORBA::Priority priority) raises ( ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy )
virtual CORBA::Object_ptr | create_reference_with_priority (const char *intf, RTCORBA::Priority priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference_with_id_and_priority (const PortableServer::ObjectId &oid, const char *intf, RTCORBA::Priority priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::POA::WrongPolicy )
virtual PortableServer::ObjectId * | activate_object_with_priority (PortableServer::Servant p_servant, RTCORBA::Priority priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy )
virtual void | activate_object_with_id_and_priority (const PortableServer::ObjectId &oid, PortableServer::Servant p_servant, RTCORBA::Priority priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
POA_ptr | _duplicate (POA_ptr obj)
POA_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
POA_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
POA_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id = 0
## Protected Methods
| POA ()
virtual | ~POA (void)
## Private Methods
| POA (const POA &)
void | operator= (const POA &)

## Member Typedef Documentation

typedef POA_ptr RTPortableServer::POA::_ptr_type

typedef POA_var RTPortableServer::POA::_var_type

## Constructor & Destructor Documentation

RTPortableServer::POA::POA | ( |  | ) | `[protected]`

virtual RTPortableServer::POA::~POA | ( | void |  | ) | `[protected, virtual]`

RTPortableServer::POA::POA | ( | const POA & |  | ) | `[private]`

## Member Function Documentation

POA_ptr RTPortableServer::POA::_duplicate | ( | POA_ptr | obj | ) | `[static]`

virtual const char* RTPortableServer::POA::_interface_repository_id | ( | void |  | ) | const`[virtual]`

POA_ptr RTPortableServer::POA::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

POA_ptr RTPortableServer::POA::_nil | ( | void |  | ) | `[inline, static]`

virtual void* RTPortableServer::POA::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

POA_ptr RTPortableServer::POA::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual void RTPortableServer::POA::activate_object_with_id_and_priority | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::Servant | servant,
|  | RTCORBA::Priority priority | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_RT_POA.

void RTPortableServer::POA::activate_object_with_id_and_priority | ( | in PortableServer::ObjectId | oid,
|  | in PortableServer::Servant | p_servant,
|  | in RTCORBA::Priority | priority
| ) | raises ( ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy )

virtual PortableServer::ObjectId* RTPortableServer::POA::activate_object_with_priority | ( | PortableServer::Servant | servant,
|  | RTCORBA::Priority priority | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_RT_POA.

PortableServer::ObjectId RTPortableServer::POA::activate_object_with_priority | ( | in PortableServer::Servant | p_servant,
|  | in RTCORBA::Priority | priority
| ) | raises (ServantAlreadyActive, WrongPolicy)

virtual CORBA::Object_ptr RTPortableServer::POA::create_reference_with_id_and_priority | ( | const PortableServer::ObjectId & | oid,
|  | const char * | intf,
|  | RTCORBA::Priority priority | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_RT_POA.

Object RTPortableServer::POA::create_reference_with_id_and_priority | ( | in PortableServer::ObjectId | oid,
|  | in CORBA::RepositoryId | intf,
|  | in RTCORBA::Priority | priority
| ) | raises (WrongPolicy)

virtual CORBA::Object_ptr RTPortableServer::POA::create_reference_with_priority | ( | const char * | intf,
|  | RTCORBA::Priority priority | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, PortableServer::POA::WrongPolicy )`[pure virtual]`

| Reimplemented in TAO_RT_POA.

Object RTPortableServer::POA::create_reference_with_priority | ( | in CORBA::RepositoryId | intf,
|  | in RTCORBA::Priority | priority
| ) | raises (WrongPolicy)

void RTPortableServer::POA::operator= | ( | const POA & |  | ) | `[private]`

## Member Data Documentation

int RTPortableServer::POA::_tao_class_id = 0`[static]`

The documentation for this interface was generated from the following files:

- RTPortableServer.pidl
- RTPortableServerC.h
- RTPortableServerC.cpp